#Lecture des solutions

snps=read.table("solution",header=T)


#QQPLOT

xx <- sort(-log10((1:73)/73))
yy <- sort(-log10(snps$pvalue))
plot (xx,yy)
abline (a=0,b=1,col="red")

pdf()
plot (xx,yy)
abline (a=0,b=1,col="red")
dev.off()

#Manhattan plot


plot(snps$snp,-log10(snps$pvalue),ylim=c(0,5))

#seuil 10%
abline(h=-log10(0.10),col="pink")
#seuil 10% BONFERRONI
abline(h=-log10(0.10/73),col="pink")
#seuil 10% MULLLER (sortie de exec.sh)
abline(h=-log10(3.82e-3),col="red")

#--------------------------------------
#lecture de toutes les solutions
#--------------------------------------

snps=read.table("solution_tot",header=T)


#QQPLOT

xx <- sort(-log10((1:7596)/7596))
yy <- sort(-log10(snps$pvalue))
plot (xx,yy)
abline (a=0,b=1,col="red")

pdf()
plot (xx,yy)
abline (a=0,b=1,col="red")
dev.off()

#Manhattan plot

col=rep(c("blue","green"),each=3842)
plot(snps$snp,-log10(snps$pvalue),col=col,ylim=c(0,5))

#seuil 10%
abline(h=-log10(0.10),col="pink")
#seuil 10% BONFERRONI par chromosome
abline(h=-log10(0.10/3842),col="pink")
#seuil 10% MULLLER (sortie de exec.sh)
abline(h=-log10(5.98e-5),col="red")
#place des vrais QTL
abline(v=1000,col="red")
abline(v=3806,col="red")
abline(v=5999,col="red")
abline(v=6660,col="red")



